Subject: Re: [PATCH 1/2] can: rcar_can: Add r8a7795 support

From: Marc Kleine-Budde <[email-masked]>
Date: Mon, 29 Feb 2016 11:00:09 +0100

On 02/29/2016 10:56 AM, Ramesh Shanmugasundaram wrote:
>> On 02/29/2016 10:21 AM, Ramesh Shanmugasundaram wrote:
>>> Added r8a7795 SoC support.
>>>
>>> For smoother bit timing calculation, the rounded clock frequency is
>> used.
>>
>> Why this? From my point of view this introduces a clock error.
> 
> Thanks for the comments. 
> 
> Without the rounded clock, can_calc_bittiming returns different BRP
> values and reports high sampling error percentage. However, the
> rounded clock shows no such issues and it works fine for all
> bitrates.
> 
> Below is an e.g. from my board for an input clock differs by 2Hz.

I think it's better to fix the algorithm. I'll look into it.

Marc

-- 
Pengutronix e.K.                  | Marc Kleine-Budde           |
Industrial Linux Solutions        | Phone: +49-231-2826-924     |
Vertretung West/Dortmund          | Fax:   +49-5121-206917-5555 |
Amtsgericht Hildesheim, HRA 2686  | http://www.pengutronix.de   |